:PROPERTIES:
:ID:       0455921f-3ac0-437e-ba76-1afb3f6f85ea
:mtime:    20221229101120
:ctime:    20220104155517
:END:
#+title: Psql
#+filetags: :postgre:database:

Interface en ligne de commande permettant la saisie de requêtes PostgreSQL, directement ou par l'utilisation de procédures
stockées.

* Commandes
** Connection
#+BEGIN_SRC shell
sudo -u postgres psql
** Commandes de base
| Commande          | Description                                                                 |
| ~\l~              | Liste des bases de données hébergées                                        |
| ~\l+~             | Liste des bases de données hébergées (avec tailles et descriptions)         |
| ~\c "<database>"~ | Connection à la base de données                                             |
| ~\d~              | Description des tables de la base de données                                |
| ~\d+~             | Description des tables de la base de données (avec tailles et descriptions) |
